import getLog from './get-log';

const deleteSecret = async (pool, selector) => {
  const log = getLog('secretsManager:deleteSecret');
  log.debug(`removing secret from the database`);
  const {
    secretsTableName,
    connection,
    escapeId,
    escape
  } = pool;
  log.verbose(`selector: ${selector}`);
  log.verbose(`tableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  await connection.execute(`DELETE FROM ${escapeId(secretsTableName)} WHERE \`id\` = ${escape(selector)}`);
  log.debug(`query executed successfully`);
  return true;
};

export default deleteSecret;
//# sourceMappingURL=delete-secret.js.map