const getEventSubscribers = async (pool, {
  applicationName,
  eventSubscriber
} = {}) => {
  const {
    subscribersTableName,
    connection,
    escapeId,
    escape
  } = pool;
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  const rows = (await connection.query(`
    SELECT * FROM ${subscribersTableNameAsId}
    ${applicationName != null || eventSubscriber != null ? `
    WHERE ${applicationName != null ? `\`applicationName\` = ${escape(applicationName)}` : ''}
    ${applicationName != null && eventSubscriber != null ? ' AND ' : ''}
    ${eventSubscriber != null ? `\`eventSubscriber\` = ${escape(eventSubscriber)}` : ''}
    ` : ''}
  `))[0];
  return rows;
};

export default getEventSubscribers;
//# sourceMappingURL=get-event-subscribers.js.map