const loadSnapshot = async ({
  snapshotsTableName,
  connection,
  escapeId,
  escape
}, snapshotKey) => {
  if (snapshotKey == null || snapshotKey.constructor !== String) {
    throw new Error('Snapshot key must be a string');
  }

  const snapshotsTableNameAsId = escapeId(snapshotsTableName);
  const [rows] = await connection.query(`SELECT \`SnapshotContent\` FROM ${snapshotsTableNameAsId}
   WHERE \`SnapshotKey\`= ${escape(snapshotKey)} `);
  return rows.length > 0 ? rows[0].SnapshotContent.toString() : null;
};

export default loadSnapshot;
//# sourceMappingURL=load-snapshot.js.map