"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _promise = _interopRequireDefault(require("mysql2/promise"));

var _mysql = require("mysql2");

var _eventstoreBase = _interopRequireDefault(require("@resolve-js/eventstore-base"));

var _loadEventsByCursor = _interopRequireDefault(require("./load-events-by-cursor"));

var _loadEventsByTimestamp = _interopRequireDefault(require("./load-events-by-timestamp"));

var _ensureEventSubscriber = _interopRequireDefault(require("./ensure-event-subscriber"));

var _removeEventSubscriber = _interopRequireDefault(require("./remove-event-subscriber"));

var _getEventSubscribers = _interopRequireDefault(require("./get-event-subscribers"));

var _getLatestEvent = _interopRequireDefault(require("./get-latest-event"));

var _saveEvent = _interopRequireDefault(require("./save-event"));

var _injectEvent = _interopRequireDefault(require("./inject-event"));

var _freeze = _interopRequireDefault(require("./freeze"));

var _unfreeze = _interopRequireDefault(require("./unfreeze"));

var _shapeEvent = _interopRequireDefault(require("./shape-event"));

var _saveSnapshot = _interopRequireDefault(require("./save-snapshot"));

var _loadSnapshot = _interopRequireDefault(require("./load-snapshot"));

var _dropSnapshot = _interopRequireDefault(require("./drop-snapshot"));

var _beginIncrementalImport = _interopRequireDefault(require("./begin-incremental-import"));

var _commitIncrementalImport = _interopRequireDefault(require("./commit-incremental-import"));

var _rollbackIncrementalImport = _interopRequireDefault(require("./rollback-incremental-import"));

var _pushIncrementalImport = _interopRequireDefault(require("./push-incremental-import"));

var _deleteSecret = _interopRequireDefault(require("./delete-secret"));

var _getSecret = _interopRequireDefault(require("./get-secret"));

var _setSecret = _interopRequireDefault(require("./set-secret"));

var _connect = _interopRequireDefault(require("./connect"));

var _initEvents = _interopRequireDefault(require("./init-events"));

var _initSecrets = _interopRequireDefault(require("./init-secrets"));

var _initFinal = _interopRequireDefault(require("./init-final"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _dropEvents = _interopRequireDefault(require("./drop-events"));

var _dropSecrets = _interopRequireDefault(require("./drop-secrets"));

var _dropFinal = _interopRequireDefault(require("./drop-final"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createMysqlAdapter = options => {
  return (0, _eventstoreBase.default)({
    connect: _connect.default,
    loadEventsByCursor: _loadEventsByCursor.default,
    loadEventsByTimestamp: _loadEventsByTimestamp.default,
    ensureEventSubscriber: _ensureEventSubscriber.default,
    removeEventSubscriber: _removeEventSubscriber.default,
    getEventSubscribers: _getEventSubscribers.default,
    getLatestEvent: _getLatestEvent.default,
    saveEvent: _saveEvent.default,
    initEvents: _initEvents.default,
    initSecrets: _initSecrets.default,
    initFinal: _initFinal.default,
    dropEvents: _dropEvents.default,
    dropSecrets: _dropSecrets.default,
    dropFinal: _dropFinal.default,
    dispose: _dispose.default,
    injectEvent: _injectEvent.default,
    freeze: _freeze.default,
    unfreeze: _unfreeze.default,
    shapeEvent: _shapeEvent.default,
    saveSnapshot: _saveSnapshot.default,
    loadSnapshot: _loadSnapshot.default,
    dropSnapshot: _dropSnapshot.default,
    beginIncrementalImport: _beginIncrementalImport.default,
    commitIncrementalImport: _commitIncrementalImport.default,
    rollbackIncrementalImport: _rollbackIncrementalImport.default,
    pushIncrementalImport: _pushIncrementalImport.default,
    deleteSecret: _deleteSecret.default,
    getSecret: _getSecret.default,
    setSecret: _setSecret.default
  }, {
    MySQL: _promise.default,
    escapeId: _mysql.escapeId,
    escape: _mysql.escape
  }, options);
};

var _default = createMysqlAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map