import type { AdapterPoolConnectedProps, AdapterPoolConnected, AdapterPoolPossiblyUnconnected, AdapterConfig } from '@resolve-js/eventstore-base';
export declare type MySQLConnection = {
    execute: (sql: string) => Promise<never>;
    query: (sql: string) => Promise<Array<Array<any>>>;
    end: () => Promise<never>;
};
declare type MySQLLib = {
    createConnection: (options: any) => MySQLConnection;
};
export declare type MysqlAdapterPoolConnectedProps = AdapterPoolConnectedProps & {
    connection: MySQLConnection;
    eventsTableName: string;
    snapshotsTableName: string;
    secretsTableName: string;
    subscribersTableName: string;
    database: string;
    escapeId: (val: string) => string;
    escape: (val: string) => string;
};
export declare type MysqlAdapterConfig = AdapterConfig & {
    database: string;
    eventsTableName?: string;
    snapshotsTableName?: string;
    secretsTableName?: string;
    subscribersTableName?: string;
    [key: string]: any;
};
export declare type AdapterPool = AdapterPoolConnected<MysqlAdapterPoolConnectedProps>;
export declare type AdapterPoolPrimal = AdapterPoolPossiblyUnconnected<MysqlAdapterPoolConnectedProps>;
export declare type ConnectionDependencies = {
    MySQL: MySQLLib;
    escapeId: (val: string) => string;
    escape: (val: string) => string;
};
export {};
